#ifndef GAME_H
#define GAME_H

#include <memory>

#include <SFML/System/Time.hpp>
#include <SFML/Window.hpp>

class Game
{
private:
    std::unique_ptr<sf::Clock> clock;
    sf::Window main_window;

public:
    explicit Game();

    // Start the game loop
    int run();
};

#endif // GAME_H
