#ifndef HERO_H
#define HERO_H

class Hero
{
private:
    int hero_charges;

public:
    explicit Hero(int initial_charges = 0);

    // Add more charges for hero to use
    inline void refillCharges(int append_charges);

    // Get amount of charges
    inline int charges() const noexcept;

    // Spend one charge on action
    inline bool useCharge();
};

#endif // HERO_H
